Verify OTP

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Headers

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code -1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Endpoint-IpStringCustomer End Point Ip AddressMN

Request Parameters

NameTypeRequirementDescription
otpStringMandatoryOTP Received on Mobile Number
otpReferenceIDStringMandatorySame as received in
Send OTP API response
latitudeStringMandatoryEnd Customer Latitude.
longitudeStringMandatoryEnd Customer Longitude.
externalRefStringMandatoryUnique transaction id
consentEnum(Y/N)MandatoryConsent should be
accepted by
customer

Sample Request

curl --location 'https://api.instantpay.in/identity/okyc/verify' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--data '{
    "otp" : "xxxxx",
    "otpReferenceID" : "xxxxxxxx",
   "latitude" : {{$randomLatitude}},
    "longitude" : {{$randomLongitude}},
       "externalRef" : "{{random}}",
    "consent" : "Y"
}
'
POST /identity/okyc/verify HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
    "otp" : "xxxxx",
    "otpReferenceID" : "xxxxxxx",
    "latitude" : {{$randomLatitude}},
    "longitude" : {{$randomLongitude}},
    "externalRef" : "{{random}}"
    "consent" : "Y"
}

Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus message
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "fullName": "Sample Name",
        "isMobileVerified": false,
        "isEmailVerified": false,
        "shortAadhaarNumber": "xxxx",
        "dateOfBirth": "01-01-2000",
        "gender": "M",
        "address": {
            "country": "India",
            "dist": "South  Delhi",
            "state": "Delhi",
            "po": "Post Office Name",
            "loc": "Locality Name",
            "vtc": "Sample Address",
            "subdist": "",
            "street": "Street Name",
            "house": "House Number",
            "landmark": "",
            "pc": "010345",
            "careof": "Sample Name"
        },
        "profilePic": "",       "xmlContent": "",     "externalRef": "123456789",
        "pool": {
            "referenceId": "1000987654321EZFJY",
            "openingBalance": "40.58",
            "mode": "DR",
            "closingBalance": "40.58",
            "transactionValue": "0.00",
            "payableValue": "0.00"
        }
    },
    "timestamp": "2024-02-20 11:52:12",
    "ipay_uuid": "h06896097f63-XXXX-XXXX-XXXX-794c62d59494",
    "orderid": "1000987654321EZFJY",
    "environment": "LIVE",
    "internalCode": null
}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json